
/*

 Reading Sensor Values
 Comp Craft Fall 2015
 
 This sketch reads the data coming in from the sensor, maps it to your desired 
 range, and prints it to the serial monitor. This is extremely helpful to 
 debug or find the range of values you want to use for mapping.

 More info here: https://www.arduino.cc/en/Reference/Map
 
 
 */

int sensorPin = 0;    // select the input pin for the potentiometer
int ledPin = 9;     // select the pin for the LED
int sensorValue = 0;  // variable to store the value coming from the sensor
int newSensorValue;


void setup() {
  
  // declare the ledPin as an OUTPUT:
  pinMode(ledPin, OUTPUT);  
  pinMode(sensorPin, INPUT);

  //Start the Serial port
  Serial.begin(9600);
}

void loop() {
  
  // read the value from the sensor:
  sensorValue = analogRead(sensorPin); 
     
  //map(value, fromLow, fromHigh, toLow, toHigh)
  newSensorValue = map(sensorValue, 0,4,0, 255);
  
  // turn the ledPin on
  analogWrite(ledPin, newSensorValue);

  //print it out to see the values 
  Serial.println(newSensorValue);  
      
}


